Bug 169143 - [PATCH] devel/py-asn1: update to 0.1.3,1
Summary: [PATCH] devel/py-asn1: update to 0.1.3,1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-16 08:20 UTC by koobs
Modified: 2012-06-19 17:40 UTC (History)
1 user (show)

See Also:


Attachments
py27-asn1-0.1.3,1.patch (953 bytes, patch)
2012-06-16 08:20 UTC, koobs
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description koobs 2012-06-16 08:20:12 UTC
- Update to 0.1.3,1
- Remove LICENSE_FILE for well-known licenses

Changes:

- Include class name into asn1 value constraint violation exception.
- Fix to OctetString.prettyOut() method that looses leading zero when
  building hex string.

Shouldn't this port should be named py-pyasn1?

Port maintainer (mhjacks@swbell.net) is cc'd.

Generated with FreeBSD Port Tools 0.99_6 (mode: update, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2012-06-16 17:20:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-06-16 17:20:46 UTC
Maintainer of devel/py-asn1,

Please note that PR ports/169143 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/169143

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-06-16 17:20:49 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 mhjacks 2012-06-16 17:50:03 UTC
On 06/16/2012 11:20 AM, Edwin Groothuis wrote:
> Maintainer of devel/py-asn1,
>
> Please note that PR ports/169143 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>      http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/169143
>
Approved.

Thanks,
Marty
Comment 5 Jason Helfman freebsd_committer 2012-06-16 20:30:54 UTC
Responsible Changed
From-To: freebsd-python->jgh

I'll take it.
Comment 6 Jason Helfman freebsd_committer 2012-06-19 17:16:11 UTC
State Changed
From-To: feedback->open

maintainer approved
Comment 7 dfilter service freebsd_committer 2012-06-19 17:33:17 UTC
jgh         2012-06-19 16:33:01 UTC

  FreeBSD ports repository

  Modified files:
    devel/py-asn1        Makefile distinfo 
  Log:
  - update to 0.1.3,1
  - Remove LICENSE_FILE for well-known licenses
  - while here use optionsNG for portdocs
  
  PR:     ports/169143
  Submitted by:   koobs.freebsd@gmail.com
  Approved by:    maintainer, mhjacks@swbell.net
  
  Revision  Changes    Path
  1.16      +4 -3      ports/devel/py-asn1/Makefile
  1.13      +2 -2      ports/devel/py-asn1/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Jason Helfman freebsd_committer 2012-06-19 17:33:18 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!